package com.fs.qywx.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 企业微信三方应用授权公司对象 qywx_company
 *
 * @author fs
 * @date 2023-07-24
 */
public class QywxApp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 企微应用id */
    @Excel(name = "企微应用id")
    private Long agentId;

    /** 应用名称 */
    @Excel(name = "应用名称")
    private String name;

    /** 应用简称 */
    @Excel(name = "应用简称")
    private String shortName;

    /** 应用id/服务商应用id */
    @Excel(name = "应用id/服务商应用id")
    private String suiteId;

    /** 应用密钥 */
    @Excel(name = "应用密钥")
    private String suiteSecret;

    /** 企业微信后台推送的ticket */
    @Excel(name = "企业微信后台推送的ticket")
    private String suiteTicket;

    /** 第三方或者代开发应用access_token */
    @Excel(name = "第三方或者代开发应用access_token")
    private String suiteAccessToken;

    /** token有效期(秒) */
    @Excel(name = "token有效期(秒)")
    private Long expiresIn;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setAgentId(Long agentId)
    {
        this.agentId = agentId;
    }

    public Long getAgentId()
    {
        return agentId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }

    public void setSuiteId(String suiteId)
    {
        this.suiteId = suiteId;
    }

    public String getSuiteId()
    {
        return suiteId;
    }
    public void setSuiteSecret(String suiteSecret)
    {
        this.suiteSecret = suiteSecret;
    }

    public String getSuiteSecret()
    {
        return suiteSecret;
    }
    public void setSuiteTicket(String suiteTicket)
    {
        this.suiteTicket = suiteTicket;
    }

    public String getSuiteTicket()
    {
        return suiteTicket;
    }
    public void setSuiteAccessToken(String suiteAccessToken)
    {
        this.suiteAccessToken = suiteAccessToken;
    }

    public String getSuiteAccessToken()
    {
        return suiteAccessToken;
    }
    public void setExpiresIn(Long expiresIn)
    {
        this.expiresIn = expiresIn;
    }

    public Long getExpiresIn()
    {
        return expiresIn;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("agentId", getAgentId())
                .append("name", getName())
                .append("suiteId", getSuiteId())
                .append("suiteSecret", getSuiteSecret())
                .append("suiteTicket", getSuiteTicket())
                .append("suiteAccessToken", getSuiteAccessToken())
                .append("expiresIn", getExpiresIn())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
